Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.exe
Class Comment

    java.lang.Object
      org.jbpm.graph.exe.Comment

All Implemented Interfaces:
  java.io.Serializable

    public class Comment

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `actorId`
`protected java.lang.String` | `message`
`protected TaskInstance` | `taskInstance`
`protected java.util.Date` | `time`
`protected Token` | `token`

Constructor Summary
`Comment()`
`Comment(java.lang.String message)`
`Comment(java.lang.String actorId, java.lang.String message)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getActorId()`
`long` | `getId()`
`java.lang.String` | `getMessage()`
`TaskInstance` | `getTaskInstance()`
`java.util.Date` | `getTime()`
`Token` | `getToken()`
`void` | `setActorId(java.lang.String actorId)`
`void` | `setMessage(java.lang.String message)`
`void` | `setTaskInstance(TaskInstance taskInstance)`
`void` | `setTime(java.util.Date time)`
`void` | `setToken(Token token)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actorId

    protected java.lang.String actorId

### time

    protected java.util.Date time

### message

    protected java.lang.String message

### token

    protected Token token

### taskInstance

    protected TaskInstance taskInstance

Constructor Detail

### Comment

    public Comment()

### Comment

    public Comment(java.lang.String message)

### Comment

    public Comment(java.lang.String actorId,
                   java.lang.String message)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getActorId

    public java.lang.String getActorId()

### getId

    public long getId()

### getMessage

    public java.lang.String getMessage()

### getTime

    public java.util.Date getTime()

### getTaskInstance

    public TaskInstance getTaskInstance()

### getToken

    public Token getToken()

### setTaskInstance

    public void setTaskInstance(TaskInstance taskInstance)

### setToken

    public void setToken(Token token)

### setActorId

    public void setActorId(java.lang.String actorId)

### setMessage

    public void setMessage(java.lang.String message)

### setTime

    public void setTime(java.util.Date time)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD